import { post, upload } from "@/request/axios.js";

export const getRiskPointList = (params) => post("/riskunit/list", params); // 风险点单元列表
export const setRiskPointDelete = (params) => post("/riskunit/delete", params); // 风险点单元删除
export const setRiskPointImport = (params) =>
  upload("/riskunit/readExcel", params); // 风险点单元导入
export const setRiskPointBatchDelete = (params) =>
  post("/riskunit/deleteAll", params); // 风险点单元批量删除
export const getRiskPointView = (params) => post("/riskunit/goEdit", params); // 风险点单元查看
export const setRiskPointAdd = (params) => post("/riskunit/add", params); // 风险点单元添加
export const setRiskPointEdit = (params) => post("/riskunit/edit", params); // 风险点单元修改
export const getRiskPointInspectList = (params) =>
  post("/riskunit/getRisByUnitId", params); // 风险点单元检查内容
